Nequi payments in Colombia
You can make Nequi payments in Colombia in Colombian pesos (COP).
Minimum payment amount: 100 COP
COP has no minor currency units. To pay 1,000 COP, write 1000 in amount_details.amount.
No recurring payments are available.
Required sender parameters
Check all the required parameters
| Name | Type | Description |
|---|---|---|
participant_details | object | Information on the participants |
sender | object | Sender details |
full_name | string | Sender's full name (3–50 characters) |
email | string | Sender's email address (up to 64 characters before @) |
document | string | CC or NIT (6 to 11 digits) |
msisdn | string | Phone number registered in the Nequi app (10 digits starting with 3) |
Making a payment
-
Create a session using the
session/createmethod.Alternatively, you can use the
session/init/paymentmethod. In this case, specify all the payment parameters right away and skip the next step. -
Send a
session/start/paymentrequest. Specify the following parameters:country_ewallet_nequiininternet_banking.typeCOininternet_banking.country_ewallet.country_iso2- the payer's
full_name,email,msisdn, anddocumentinparticipant_details.sender
Request example
curl -X POST \https://demo.smart-glocal.com/api/v1/session/start/payment \-H 'content-type: application/json' \-H 'X-PARTNER-PROJECT: your_project_name' \-H 'X-PARTNER-SIGN: signature' \-d '{"session_id": "ps_12345","payment_details": {"type": "internet_banking","internet_banking": {"type": "country_ewallet_nequi","country_ewallet": {"country_iso2": "CO"}}},"amount_details": {"amount": 1000,"currency": "cop"},"customer": {"reference": "qwiqwi"},"participant_details": {"sender": {"full_name": "Name Surname","email": "email@example.com","document": "12345678901","msisdn": "3334445556"}},"payment_options": {"recurrent": false}}'Response example
curl -X POST \https://partner.com \-H 'content-type: application/json' \-H 'X-PARTNER-SIGN: signature' \-d '{"status": "ok","session": {"id": "ps_12345","status": "in_progress","created_at": "2025-12-04T19:28:58.077701Z","updated_at": "2025-12-04T19:29:23.216667Z","acquiring_payments": [{"id": "pm_12354","status": "in_progress","created_at": "2025-12-04T19:29:23.217101Z","customer": {"reference": "qwiqwi"},"payment_details": {"type": "internet_banking","internet_banking": {"type": "country_ewallet_nequi","country_ewallet": {"country_iso2": "CO"}}},"amount_details": {"amount": 1000,"currency": "cop"},"participant_details": {"sender": {"full_name": "Name Surname","email": "email@example.com","document": "12345678901","msisdn": "3334445556"}}}]}}' -
Wait for a
ready_to_confirmwebhook. When you receive it, it means that Smart Glocal is ready to make the payment and is waiting for your confirmation.Webhook example
curl -X POST \https://partner.com \-H 'content-type: application/json' \-H 'X-PARTNER-SIGN: signature' \-d '{"type": "ready_to_confirm","status": "ok","session": {"id": "ps_12345","status": "in_progress","created_at": "2025-12-04T19:28:58.077701Z","updated_at": "2025-12-04T19:29:23.216667Z","acquiring_payments": [{"id": "pm_12354","status": "pending","created_at": "2025-12-04T07:48:28.296138Z","customer": {"reference": "qwiqwi"},"payment_details": {"type": "internet_banking","internet_banking": {"type": "country_ewallet_nequi","country_ewallet": {"country_iso2": "CO"}}},"amount_details": {"amount": 1000,"currency": "cop"},"participant_details": {"sender": {"full_name": "Name Surname","email": "email@example.com","document": "12345678901","msisdn": "3334445556"}},"payment_options": {"recurrent": false}}]}}' -
Send a
session/confirmrequest to confirm the operation or asession/cancelrequest to cancel it.Request example
curl -X POST \https://demo.smart-glocal.com/api/v1/session/confirm \-H 'content-type: application/json' \-H 'X-PARTNER-PROJECT: your_project_name' \-H 'X-PARTNER-SIGN: signature' \-d '{"session_id":"ps_12345"}' -
The customer confirms the payment in the Nequi app:
5.1 The customer receives a push notification from the Nequi app and opens the app by tapping it.

5.2 In the app, the customer selects the account to debit and confirms the payment.



5.3 The customer must complete the payment within 15 minutes. Otherwise, the session will be canceled.
Note that you will not receive an
action_requiredwebhook: you do not redirect the customer to the Nequi app, they open it from the push notification. While waiting for thepayment_finishedwebhook, we recommend showing the customer a message that they need to confirm the payment in the Nequi app. -
After the customer makes the payment, you will receive a
payment_finishedwebhook containing the payment result from Smart Glocal. Thesucceededstatus indicates a successful payment.Webhook example
curl -X POST \https://partner.com \-H 'content-type: application/json' \-H 'X-PARTNER-SIGN: signature' \-d '{"type": "payment_finished","status": "ok","session": {"id": "ps_12345","status": "accepted","created_at": "2025-12-04T07:48:28.275964Z","updated_at": "2025-12-04T07:49:43.022068Z","acquiring_payments": [{"id": "pm_12354","status": "succeeded","created_at": "2025-12-04T07:48:28.296138Z","finished_at": "2025-12-04T07:49:43.002789Z","customer": {"reference": "qwiqwi"},"payment_details": {"type": "internet_banking","internet_banking": {"type": "country_ewallet_nequi","country_ewallet": {"country_iso2": "CO"}}},"amount_details": {"amount": 1000,"currency": "cop"},"participant_details": {"sender": {"full_name": "Name Surname","email": "email@example.com","document": "12345678901","msisdn": "3334445556"}},"payment_options": {"recurrent": false}}],"actions": {"confirm": "2025-12-04T07:48:28.327146Z","capture": "2025-12-04T07:49:42.965552Z"}}}'
Sequence diagram
